#!/bin/sh
#
# Copyright (c) 2014 OpenElectrons.com
# SmartUPS installation script.
# for more information about SmartUPS,  please visit:
# http://www.openelectrons.com/pages/33
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
### BEGIN INIT INFO
# Provides:          SmartUPS
# Required-Start:    hostname $local_fs
# Required-Stop:
# Should-Start:
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Start/stop SmartUPS.
# Description:       This script starts/stops SmartUPS.
### END INIT INFO

PATH=/sbin:/usr/sbin:/bin:/usr/bin
. /lib/init/vars.sh

do_start () {
	sudo SmartUPS 
    chmod a+rw /dev/i2c* > /dev/null 2>&1
	sleep 2
}

do_status () {
	if [ -e /dev/SmartUPS ] ; then
		return 0
	else
		return 4
	fi
}

case "$1" in
  start|"")
	do_start
	;;
  restart|reload|force-reload)
	killall SmartUPS
    do_start
	exit 3
	;;
  stop)
    lev=`runlevel | cut -f2 -d " "`
    killall SmartUPS 
    #Only power off SmartUPS when Raspberry Pi is fully shutdown.
    if [ "$lev" = "1" -o "$lev" = "0" ]
    then
        echo "Shutting down SmartUPS"
        sudo SmartUPS -c S  
    fi        
	;;
  status)
	do_status
	exit $?
	;;
  *)
	echo "Usage: SmartUPS [start|stop|status]" >&2
	exit 3
	;;
esac

:
